Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Constraint_Interpreter Class Reference

"ETCL" Interpreter for the Notify queries. More...

`#include <Notify_Constraint_Interpreter.h>`

List of all members.

## Public Methods
| TAO_Notify_Constraint_Interpreter (void)
| ~TAO_Notify_Constraint_Interpreter (void)
| Destructor.
void | build_tree (const char *constraints ACE_ENV_ARG_DECL) throw (CosNotifyFilter::InvalidConstraint, CORBA::NO_MEMORY)
CORBA::Boolean | evaluate (TAO_Notify_Constraint_Visitor &evaluator)

## Detailed Description

"ETCL" Interpreter for the Notify queries.

## Constructor & Destructor Documentation

TAO_Notify_Constraint_Interpreter::TAO_Notify_Constraint_Interpreter | ( | void |  | ) |

TAO_Notify_Constraint_Interpreter::~TAO_Notify_Constraint_Interpreter | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void TAO_Notify_Constraint_Interpreter::build_tree | ( | const char *constraints | ACE_ENV_ARG_DECL | ) | throw (CosNotifyFilter::InvalidConstraint, CORBA::NO_MEMORY)

| This method builds an expression tree representing the constraint specified in <constraints>, and throws an Illegal Constraint exception if the constraint given has syntax errors or semantic errors, such as mismatched types.

CORBA::Boolean TAO_Notify_Constraint_Interpreter::evaluate | ( | TAO_Notify_Constraint_Visitor & | evaluator | ) |

| Returns true if the constraint is evaluated successfully by the evaluator.

The documentation for this class was generated from the following files:

- Notify_Constraint_Interpreter.h
- Notify_Constraint_Interpreter.cpp